#ifndef H_PS_FONT_H
#define H_PS_FONT_H

#define STROKE_NO 10
#define UNIT	1000

struct bbox_t {
	short	b_width, b_height;
	short	b_offx, b_offy;
};

struct point_t {
	short	x, y;
};

struct char_t {
	int		 c_encoding;
	char		*c_charname;
	struct bbox_t 	 c_bbox;
	unsigned short   c_dwidth;
	unsigned short   c_nstrokes;
	unsigned int	 c_strokes[STROKE_NO]; /* is it sufficient ? */
	int		 c_strokesflag;
	int		 c_ncoors;
	struct point_t  *c_coors;
};


struct font_t {
	int	f_nchars;
	struct char_t **f_chars; /* sorted by encoding */
	struct char_t **f_chars0; /* sorted by name */
};

typedef struct char_t *(*func_t)(void);
extern int firstcalled;
extern struct point_t points[];

struct char_t *char_init(char *name, int enc, int dw, int three, int four);
void	ah(int x, int y);
void	lt(int x, int y);
void	lth(int x, int y);
void	endchar(struct char_t *cp);
void	cth(int x1, int y1, int x2, int y2, int x3, int y3);
void	ct(int x1, int y1, int x2, int y2, int x3, int y3);
void	closepath(void);


struct font_t *assemble(func_t *funclist);
void	put_char(struct char_t *cp);
struct char_t *bsearch4charbyencoding(struct font_t *font, int target);
struct char_t *bsearch4charbyname(struct font_t *font, const char *target);

#endif
