/*
** A structure is maintained with information on each player.
*/

typedef struct _player {
	char	*name;		/* Player's name 	*/
	int	userid;		/* player's user id number	*/
	int	cash;		/* Amount of money player currently has */
	int	cards[5];	/* Player's current hand(indexes into deck[]) */
	int	score;		/* PAIR, THREE, FLUSH, etc.	*/
	int	count[13];	/* counters used to determine score */
	int	in;		/* Still in current hand?	*/
	int	wantsout;	/* Quit after this hand?	*/
	int	sittingout;	/* Sit out after this hand?	*/
	int	bet;		/* How much bet into current pot*/
	int	lonehands;	/* # hands played against only computer */
	int	socket;		/* To communicate with player on*/
} PLAYER;

extern	PLAYER	player[];

#define	NOTHING		0
#define	PAIR		1
#define	TWOPAIR		2
#define	THREE		3
#define	STRAIGHT	4
#define	FLUSH		5
#define	FULL		6
#define	FOUR		7
#define	STRAIGHT_FLUSH	8
#define	ROYAL_FLUSH	9

extern	char	ranks[];	/* card ranks 2-A */
extern	char	suits[];	/* card suits D,C,H,S */

#define	card(x)	((x) % 13)
#define	suit(x)	((x) / 13)
#define	rank(x)	(ranks[card(x)])
#define	color(x) (suits[suit(x)])
